/**
 * 
 */
package com.sonicsw.pso.demo.config;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * @author Nick Rapoport - Copyright (c) - May 22, 2008 All rights reserved
 *
 */
public class Configuration implements Serializable {
    /**
     * long serialVersionUID 
     */
    private static final long serialVersionUID = 1L;
    private static org.apache.log4j.Logger log = org.apache.log4j.Logger
            .getLogger(Configuration.class);
    private List<String> keys = new ArrayList<String>();
    private String root = "MessageRoot";
    
    public Configuration() {
        
    }
    
    public List<String> getKeys() {
        return keys;
    }
    public void setKeys(List<String> keys) {
        this.keys = keys;
    }
    public String getRoot() {
        return root;
    }
    public void setRoot(String root) {
        this.root = root;
    }
    public boolean add(String arg0) {
        return keys.add(arg0);
    }
    public boolean contains(Object arg0) {
        return keys.contains(arg0);
    }
    public String get(int arg0) {
        return keys.get(arg0);
    }
    public int indexOf(Object arg0) {
        return keys.indexOf(arg0);
    }
    public Iterator<String> iterator() {
        return keys.iterator();
    }
    
}
