/*
 * Copyright (c) 2001-2007 Sonic Software Corporation. All Rights Reserved. This
 * software is the confidential and proprietary information of Sonic Software
 * Corporation. ("Confidential Information"). You shall not disclose such
 * Confidential Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Sonic Software. SONIC SOFTWARE
 * MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
 * NON-INFRINGEMENT. SONIC SOFTWARE SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED
 * BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR
 * ITS DERIVATIVES. CopyrightVersion 1.0
 */
package com.sonicsw.pso.demo.util;

import java.io.Serializable;

/**
 * @author Nick Rapoport
 * @version 7.1.2
 */
public class ConfigurationException extends Exception implements Serializable
{
    //private static org.apache.log4j.Logger log = org.apache.log4j.Logger
    //        .getLogger(ConfigurationException.class);
    
    /**
     *
     */
    private static final long serialVersionUID = 1L;
    
    public ConfigurationException(String msg)
    {
        super(msg);
    }
    
    /**
     * 
     */
    public ConfigurationException()
    {
        super();
    }
    
    /**
     * @param cause
     */
    public ConfigurationException(Throwable cause)
    {
        super(cause);
    }
    
    public ConfigurationException(String msg, Throwable e)
    {
        super(msg, e);
    }
    
}
