using System;
using System.Collections.Generic;
using System.Text;

namespace sonicsw.pso.sqlserver.procedures
{
    public enum FlowToDisk
    {
        USE_BROKER_SETTING = 0,
        FLOW_TO_DISK_ON = 1,
        FLOW_TO_DISK_OFF = 2
    }
    public enum JMSCommType
    {
        PRODUCER = 0,
        CONUSMER = 1
    }

    public enum JMSDestType
    {
        QUEUE = 0,
        TOPIC = 1
    }
    [Flags]
    public enum JMSHeaderProps
    {
        JMSDestination = 0,
        JMSDeliveryMode = 1,
        JMSMessageID = 2,
        JMSTimestamp = 4,
        JMSCorreleationID = 8,
        JMSReplyTo = 16,
        JMSRedelivered = 32,
        JMSType = 64,
        JMSExpiration = 128,
        JMSPriority = 256
    }
    [Flags]
    public enum JMSMessageType
    {
        TEXT,
        MAP,
        OBJECT,
        BYTES,
        STREAM,
        XML,
        MULTIPART
    }
    public enum JMSAckMode : int
    {
        AUTO_ACKNOWLEDGE = Sonic.Jms.SessionMode.AUTO_ACKNOWLEDGE,
        CLIENT_ACKNOWLEDGE = Sonic.Jms.SessionMode.CLIENT_ACKNOWLEDGE,
        DUPS_OK_ACKNOWLEDGE = Sonic.Jms.SessionMode.DUPS_OK_ACKNOWLEDGE,
        SESSION_TRANSACTED = Sonic.Jms.SessionMode.SESSION_TRANSACTED,
        SINGLE_MESSAGE_ACKNOWLEDGE = Sonic.Jms.Ext.SessionMode.SINGLE_MESSAGE_ACKNOWLEDGE
    }

    class Constants
    {
    }
}
