/*------------------------------------------------------------------------
    File        : PubSub/TextPubSubSend.p
    Purpose     : Send a text message to a Sonic Topic 
  ----------------------------------------------------------------------*/

{common/connectToSonicBroker.i}

/* Create a message */
RUN createTextMessage IN hSession (OUTPUT hMessage).
RUN setText IN hMessage ("This is a text message. Isn't it exciting?!?").

/* Send the message to "SampleTopic1" */
RUN publish IN hSession ("SampleTopic1", hMessage, ?, ?, ?).

MESSAGE "Text message sent to SampleTopic1"
  VIEW-AS ALERT-BOX.

/* Clean up - Delete message and session */
RUN deleteMessage IN hMessage.
RUN deleteSession IN hSession.

