/*------------------------------------------------------------------------
    File        : common/connectToSonicBroker.i
    Purpose     : Connect to the Sonic Broker 
  ----------------------------------------------------------------------*/


/* Sending a message to myqueue */
DEFINE VARIABLE hSession AS HANDLE.
DEFINE VARIABLE hMessage AS HANDLE.
    
/* Creates PTP session*/
RUN jms/jmssession.p PERSISTENT SET hSession ("-SMQConnect" ).
    
/* Sets the broker connection information */
RUN setBrokerURL IN hSession ("tcp://SonicServer:2506").
    
/* Sets the security information */
RUN setUser IN hSession ("Administrator").
RUN setPassword IN hSession ("Administrator").

/* Set the Client Persistence information */
RUN setClientID IN hSession (INPUT "myUniqueID").
RUN setReconnectInterval IN hSession (INPUT 5).
RUN setClientPersistence IN hSession (INPUT TRUE).

RUN beginSession IN hSession.